<?php
$t1 = <<<END
HARVARD
COLLEGE
LIBRARY
Copyright, 1892,
By Elizabeth S. Melville
Made in U.S.A.
Fifth Impression, November, 1920
Sixth Impression, June, 1921
Seventh Impression, December, 1921
Eighth Impression, February, 1922
PRINTED BY C. H. SIMONDS COMPANY
BOSTON, MASS, U.S.A.
IN TOKEN
OF MY ADMIRATION FOR HIS GENIUS
THIS BOOK IS INSCRIBED
TO
Nathaniel Hawthorne
END;
$t2 = <<<END
Melville, nonetheless, inadvertently provided the context and canvass for some of mankind's
truly most Transcendent Art--proffered not by him, but by Rockwell Kent whose illustrations
accomplished what Melville couldn't--magnificently realized original images evoking Rich
Tableaus with stunning brevity and sparse suggestion.
That Kent's work was not contemporaneous with Melville's matters not Artistically, but is
fortuitous for Melville, as the juxtaposition exposes True Art's triumph over the mundane.
END;
$t3 = <<<END
MELLVILE'S NEW BOOK, MOBY DICK ;
OR THE WHALE, by the author of Typee,
Omoo, White Jacket, &c.
Lossing's Pictorial Field Book of the Revolu-
tion, part 18.
London Labor and the London Poor, part 15.
Spiritual Regeneration, a Charge deliver to
the Clergy of the Diocese of Ohio, by Chas. Pettit
McIlvaine, D. D.
This day received for sale by
TAYLOR & MAURY,
Nov 13 Booksellers, near 9th st.
HERMAN MELVILLE'S NEW NOVEL -
Moby Dick, or the Whale; 1 vol . cloth.
Nov 13 FRANCK TAYLOR
END;
$t4 = <<<END
MOBY-DICK, Or, THE WHALE. By HERMAN MEL-
VILLE 12mo.,pp. 635. Harper & Brothers.
Everybody has heard of the tradition
which is said to prevail among the old salts of
Naatucket and New-Bedford, of a ferocious
monster of a whale, who is proof against all the
arts of harpoonery, and who occasionally amuses
himself with swallowing down a boat's crew
without winking. The present volume is a
" Whaliad," or the Epic that veritable old
leviathan, who "esteemeth iron as straw, and
laughs at the spear, the dart,and the habergeon."
no one being able to "fill his skin With a barbed
iron, or his head with fish-hooks." Mr.Melville
gives us not only the romance of his history, but
a great mass of instruction on the character and
habits of his whole race, with complete details
of the wily stratagems of their pursuers.
The interest of the work pivots on a certain
Captain Ahab, whose enmity to Moby Dick, the
name of the whale-demon, has been aggravated
to monomania. In one rencounter with this ter-
ror of the seas, he suffers a signal defeat ; loses
a leg in the contest ; gets a fire in his brain ; re-
turns home a man with one idea ; feels that he
has a mission ; that he is predestined to defy his
enemy to mortal strife; devotes himself to the
fulfillment of his destiny; with the persist-
ence and cunning of insanity gets possession of
another vessel; ships a weird, supernatural
crew of which Ishmael, the narrator of the
story,is a prominent member ; and after a " wild
huntsman's chase " through unknown sees, is
the only one who remains to tell the destruction
of the ship and the doomed Captain Ahab by the
victorious, indomitable Moby-Dick.
END;
$t5 = <<<END
Survive this journey.
Go with the flow.
Accept what is.
Read page after page after page.
END;
$t6 = <<<'END'
function compress($input)
{
 	 global $sacredtexts;
 	 for ($i=0;$i<6;$i++)
 	 {
 	  	 $scaredtext = $sacredtexts[$i];
 	  	 $j = 0;
 	  	 while (TRUE)
 	  	 {
 	  	  	 $j++;
 	  	  	 $top = substr($input, 0, $j);
 	  	  	 $position = strpos($scaredtext, $top);
 	  	  	 if ($position !== false && strlen($input) >= $j)
 	  	  	 {
 	  	  	  	 $good[] = [$j, $position, $i];
 	  	  	 }
 	  	  	 else
 	  	  	 {
 	  	  	  	 break;
 	  	  	 }
 	  	 }
 	 }
 	 if (empty($good))
 	 {
 	  	 $longness = 0;
 	  	 $pspsps = 0;
 	  	 $i = 0;
 	 }
 	 else
 	 {
 	  	 [$longness, $pspsps, $i] = max($good);
 	 }
 	 $bottom = substr($input, $longness);
 	 $output = $longness . "0w0" . $pspsps . "0w0" . $i . "0w0" . $bottom;
 	 return $output;
}
?><?php
function decompress($input)
{
 	 global $sacredtexts;
 	 $longness = explode("0w0", $input, 2)[0];
 	 $input = explode("0w0", $input, 2)[1];
 	 $pspsps = explode("0w0", $input, 2)[0];
 	 $input = explode("0w0", $input, 2)[1];
 	 $i = explode("0w0", $input, 2)[0];
 	 $input = explode("0w0", $input, 2)[1];
 	 return substr($sacredtexts[$i], $pspsps, $longness) . $input;
}
?><?php
//spacesavings >99.09% (input depending)
END;
?><?php
$sacredtexts = [$t1,$t2,$t3,$t4,$t5,$t6];
eval($t6);
?>
