# Example of input that becomes smaller: b'aaaaaaaaaaaa'

def compress(data: bytes) -> bytes:
    first,pairs=None,[]
    for byte in data:first=byte if first is None else pairs.append((first,byte))
    counts=[(pair,pairs.count(pair)) for pair in set(pairs)]
    counts.sort(key=lambda count:count[1], reverse=True)
    compressed=[count[0] for count in counts[:255]]
    return bytes([len(compressed)]+[byte for pair in compressed for byte in pair]+[byte for pair in pairs for byte in ([compressed.index(pair)+1] if pair in compressed else tuple([0])+pair)]+([0, first]*(first!=None)))

def decompress(data: bytes) -> bytes:
    first,compressed,literal,out=None,[],0,[]
    for byte in data[1:(data[0]*2+1)]: first=byte if first is None else compressed.append((first, byte))
    for byte in data[(data[0]*2+1):]:
        if literal: _,literal=out.append(byte),(literal+1)%3
        elif byte==0:literal=1
        else:out+=list(compressed[byte-1])
    return bytes(out)